This thread has been locked.

If you have a related question, please click the "Ask a related question" button in the top right corner. The newly created question will be automatically linked to this question.

Impossible to import SDK project (mspware missing)

Part Number: CC3100BOOST
Other Parts Discussed in Thread: MSPWARE, CC3100

Hi guys, I'm struggling with following the TI video tutorial , precisely at the point where it imports an example project from the SDK folder. I have installed mspware with the Resource Explorer but if I try to import a project I get the error "Product com.ti.mcu.msp430ware v0.0 is not currently installed and no compatible version is available. Please install this product or a compatible version."

As you may notice, the error message is weird since it claims a mspware version 0.0 is required... what should I do about it?

Thank you

PS: I've also tried to install mspware as a standalone package but I get the same result

  • Hi Michele,

    What version of the CC3100 SDK are you trying to use? That video is based on an older version of the software. I suggest you check out the Getting Started Guide in the CC3100 SDK docs folder.

    CC3100 SDK 1.3 was tested with MSP430Ware_3_80_03_07. I don't see this exact version available, but you may want to try an older install if you are still having issues: https://www.ti.com/tool/download/MSP430WARE#previous-versions.  Once you import an example in CCS, you can go to Project properties->General->Products to change the linked software version. You may have to restart CCS, or go to Window->Preferences->Code Composer Studio->Products to discover a new software package.

    Best regards,

    Sarah